<template>
	<view>
		<view class="page-body">
			<view class="page-section page-section-gap">
				<map style="width: 100%; height: 300px;" clickable="true" :latitude="latitude" :longitude="longitude" :markers="covers">
				</map>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				longitude: '',
				latitude: '',
				id: 0, // 使用 marker点击事件 需要填写id
				title: 'map',
				covers: []
			}

		},
		onLoad: function(option) {
			const item = JSON.parse(decodeURIComponent(option.item));
			this.longitude = item.longitude;
			this.latitude = item.latitude;
			var cover = [];
			var cov = {};
			cov["latitude"] = item.latitude;
			cov["longitude"] = item.longitude;
			cov["iconPath"] = '../../../static/img/map.png';
			cover.push(cov);
			cover.push(cov);
			
			this.covers = cover;
			var kk = this.covers;
		},
		methods: {

		}
	}
</script>

<style>

</style>
